CREATE DATABASE IF NOT EXISTS `opmon4`;

use `opmon4`;

CREATE TABLE `opdocs_list` (
    `id` int(11) NOT NULL auto_increment,
    `host_id` int(11) NOT NULL,
    `service_id` int(11) DEFAULT NULL,
    `description` varchar(128) NOT NULL,
    `last_revision` datetime NOT NULL,
    `next_revision` datetime NOT NULL,
    `revision_interval_value` int(11) NOT NULL,
    `revision_interval_type` enum('D','M') default 'D',
    `is_complete` enum('0','1') default '1',
    `text` text DEFAULT NULL,
    `address` varchar(192) DEFAULT NULL,
    `city` varchar(128) DEFAULT NULL,
    `uf` varchar(2) DEFAULT NULL,
    `country` varchar(80) DEFAULT NULL,
    `ptr` varchar(64) DEFAULT NULL,
    `obs` text DEFAULT NULL,
    PRIMARY KEY(`id`),
    UNIQUE(`host_id`,`service_id` )
) DEFAULT CHARSET=utf8;

CREATE TABLE `opdocs_resources` (
    `id` int(11) NOT NULL auto_increment,
    `doc_id` int(11) NOT NULL,
    `type` enum('L','F','I') NOT NULL,
    `description` varchar(128) NOT NULL,
    `details` varchar(128) NOT NULL,
    `entry_time` datetime NOT NULL,
    `file_name` varchar(128) DEFAULT NULL,
    `data` longblob DEFAULT NULL,
    PRIMARY KEY(`id`)
) DEFAULT CHARSET=utf8;

CREATE TABLE `opdocs_contacts` (
    `id` int(11) NOT NULL auto_increment,
    `doc_id` int(11) NOT NULL,
    `contact_name` varchar(128) NOT NULL,
    `contact_email` varchar(192) DEFAULT NULL,
    `contact_phone1` varchar(64) DEFAULT NULL,
    `contact_phone2` varchar(64) DEFAULT NULL,
    `contact_voip` varchar(64) DEFAULT NULL,
    PRIMARY KEY(`id`)
) DEFAULT CHARSET=utf8;

CREATE TABLE `opdocs_comunication_links` (
  `id` int(11) NOT NULL auto_increment,
  `doc_id` int(11) NOT NULL,
  `link_provider` varchar(64) default NULL,
  `link_type` varchar(64) NOT NULL,
  `link_speed` varchar(64) NOT NULL,
  `link_device` varchar(64) NOT NULL,
  `link_ip` varchar(32) NOT NULL,
  `link_mask` varchar(32) NOT NULL,
  `link_gw` varchar(32) default NULL,
  `link_dns` varchar(32) default NULL,
  `link_suffix` varchar(128) default NULL,
  `link_ntp` varchar(32) default NULL,
  `link_circuit` varchar(32) default NULL,
  `link_user` varchar(64) default NULL,
  `link_password` varchar(64) default NULL,
  `link_provider_phone` varchar(64) default NULL,
  `link_obs` text,
  PRIMARY KEY  (`id`)
) DEFAULT CHARSET=utf8;

CREATE TABLE `scm` (
  `host_id` int(11) NOT NULL default '0',
  `service_id` int(11) default NULL,
  `rev` int(11) NOT NULL default '0',
  `timestamp` int(13) default NULL,
  `md5_content` varchar(33) collate utf8_unicode_ci default NULL,
  `content` longblob,
  `name` text collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`host_id`,`rev`,`name`(128))
) DEFAULT CHARSET=utf8;

